var RatioColor = {
    ratioColor : [
        { ratio: 90, color: '#33FF00' },
        { ratio: 80, color: '#66FF00' },
        { ratio: 70, color: '#99FF00' },
        { ratio: 60, color: '#CCFF00' },
        { ratio: 50, color: '#FFFF00' },
        { ratio: 40, color: '#FFCC00' },
        { ratio: 30, color: '#FF9900' },
        { ratio: 20, color: '#FF6600' },
        { ratio: 10, color: '#FF3300' },
        { ratio: 0, color: '#FF0000' }
    ],
    getColor : function(ratio) {
        for (var i = 0; i < this.ratioColor.length; i++) {
            if (parseFloat(ratio) >= parseFloat(this.ratioColor[i].ratio)) {
                return this.ratioColor[i].color;
            }
        }
    }
};

var Progress = {
    get : function(width, color) {
        var progress = $('<div class="progress" style="margin-bottom: 0px;">\n' +
            '  <div class="progress-bar" role="progressbar" aria-valuemin="0" aria-valuemax="100" style="width: ' + width + '%; text-align: center;">\n' +
            '    <span class="text-center" style="text-shadow: #000 0px 0px 1px;">' + width.toFixed(3) + '%</span>\n' +
            '  </div>\n' +
            '</div>');
        progress.find('.progress-bar').css('background-color', color);
        return progress;
    }
}

var Size = {
    to : function (v) {
        if (v >= 1048576) {
            return (v / 1024 / 1024 / 1024).toFixed(3) + 'G';
        } else {
            return (v / 1024 / 1024).toFixed(3) + 'M';
        }
    }
}